Name:           perl-Dancer2-Plugin-Auth-Tiny
Version:        0.005
Release:        1%{?dist}
Summary:        Require logged-in user for specified routes
License:        Apache Software License
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer2-Plugin-Auth-Tiny/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/X/XS/XSAWYERX/Dancer2-Plugin-Auth-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Carp)
BuildRequires:  perl(Dancer2) >= 0.154000
BuildRequires:  perl(Dancer2::Plugin)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Carp)
Requires:       perl(Dancer2) >= 0.154000
Requires:       perl(Dancer2::Plugin)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Dancer2 plugin provides an extremely simple way of requiring that a
user be logged in before allowing access to certain routes.

%prep
%setup -q -n Dancer2-Plugin-Auth-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING cpanfile cpanfile.snapshot dist.ini LICENSE META.json perlcritic.rc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jan 19 2016 Dave Cross <dave@mag-sol.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
